## ros-kinetic-freenect-stack 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(freenect_stack)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-freenect-stack (0.4.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 26 May 2016 05:00:00 -0000

ros-kinetic-freenect-stack (0.4.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 27 Feb 2015 06:00:00 -0000

ros-kinetic-freenect-stack (0.4.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 30 Jan 2015 06:00:00 -0000

ros-kinetic-freenect-stack (0.3.2-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Jan 2014 06:00:00 -0000

ros-kinetic-freenect-stack (0.3.1-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jan 2014 06:00:00 -0000

ros-kinetic-freenect-stack (0.3.0-0xenial) xenial; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 Aug 2013 05:00:00 -0000

ros-kinetic-freenect-stack (0.2.2-0xenial) xenial; urgency=high

  * Hydro release (#7 <https://github.com/ros-drivers/freenect_stack/issues/7>).
  * Added ``data_skip`` argument to launch files (#6 <https://github.com/ros-drivers/freenect_stack/issues/6>), thanks to Dane Powell.

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 25 Jun 2013 05:00:00 -0000

ros-kinetic-freenect-stack (0.2.1-0xenial) xenial; urgency=high

  * Groovy release update.
  * Fixed nodelet description file installation (#5 <https://github.com/ros-drivers/freenect_stack/issues/5>).
  * Fixed problem with streaming on a cold start of the machine (#3 <https://github.com/ros-drivers/freenect_stack/issues/3>).
  * Minor CMake cleanup.

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 21 May 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-freenect-stack
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/freenect_stack
Standards-Version: 3.9.2

Package: ros-kinetic-freenect-stack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-freenect-camera, ros-kinetic-freenect-launch
Description: A libfreenect-based ROS driver for the Microsoft Kinect

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-freenect-stack//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
